Name:               python-pysocks
Version:            1.7.1
Release:            2
Summary:            A Python SOCKS client module
License:            BSD
URL:                https://github.com/Anorov/PySocks
Source0:            https://files.pythonhosted.org/packages/source/P/PySocks/PySocks-%{version}.tar.gz
BuildArch:          noarch

%description
This module was designed to allow developers of Python software
that uses the Internet or another TCP/IP-based network to add
support for connection through a SOCKS proxy server with as much
ease as possible.

%package -n python3-pysocks
Summary:            A Python SOCKS client module
BuildRequires:      python3-devel python3-setuptools
# for tests
BuildRequires:      python3-pytest
%{?python_provide:%python_provide python3-pysocks}

# if it exist, we would conflict with it.
Conflicts:  python3-SocksiPy

%description -n python3-pysocks
This module was designed to allow developers of Python software
that uses the Internet or another TCP/IP-based network to add
support for connection through a SOCKS proxy server with as much
ease as possible.
This package is for Python3 version python3 only.

%package_help

%prep
%autosetup -n PySocks-%{version}
# drop useless 3rdparty code
rm -rfv test/bin

%build
%py3_build

%install
%py3_install

%check
# package test_server is needed but not packaged
%if 0
%{__python3} setup.py test
%endif

%files -n python3-pysocks
%defattr(-,root,root)
%license LICENSE
%{python3_sitelib}/socks.py*
%{python3_sitelib}/sockshandler.py*
%{python3_sitelib}/__pycache__/*socks*
%{python3_sitelib}/PySocks-%{version}-*

%files help
%doc README.md

%changelog
* Thu Oct 27 2022 zhangruifang <zhangruifang1@h-partners.com> - 1.7.1-2
- Rebuild for next release

* Fri Jan 29 2021 auto_upgrade.py <auto_upgrade@xxx.com> - 1.7.1-1
- upgrade version to 1.7.1

* Fri Oct 30 2020 tianwei <tianwei12@huawei.com> - 1.7.0-3
- remove python2.

* Sat Oct 26 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.7.0-2
- optimize spec file.

* Sat Sep 14 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.7.0-1
- Package init
